Module | Irc::ServerOrCasemap
In: | lib/rbot/irc.rb

This module is included by all classes that are either bound to a server or should have a casemap.

### Methods

casemap downcase fits_with_server_and_casemap? init_server_or_casemap irc_downcase irc_upcase server_and_casemap upcase

### Attributes

server | [R] |

### Public Instance methods

casemap()

Returns the casemap of the receiver, by looking at the bound @server (if possible) or at the @casemap otherwise

downcase()

Up/downcasing something that includes this module returns its Up/downcased to_s form

fits_with_server_and_casemap?(opts={})

This is an auxiliary method: it returns true if the receiver fits the server and casemap specified in opts, false otherwise.

init_server_or_casemap(opts={})

This method initializes the instance variables @server and @casemap according to the values of the hash keys :server and :casemap in opts

irc_downcase(cmap=casemap)

We allow up/downcasing with a different casemap

irc_upcase(cmap=casemap)

We allow up/downcasing with a different casemap

server_and_casemap()

Returns a hash with the current @server and @casemap as values of :server and :casemap

upcase()

Up/downcasing something that includes this module returns its Up/downcased to_s form

[Validate]